qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH 2/2] make check: Add qemu-iotests subset


From: Kevin Wolf
Subject: [Qemu-devel] [PATCH 2/2] make check: Add qemu-iotests subset
Date: Thu, 8 Mar 2012 12:32:52 +0100

Run the 'quick' group from qemu-iotests during 'make check'.

Signed-off-by: Kevin Wolf <address@hidden>
---
 tests/Makefile        |    1 +
 tests/qemu-iotests.sh |   18 ++++++++++++++++++
 2 files changed, 19 insertions(+), 0 deletions(-)
 create mode 100755 tests/qemu-iotests.sh

diff --git a/tests/Makefile b/tests/Makefile
index 74b29dc..155ecbd 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -1,6 +1,7 @@
 CHECKS = check-qdict check-qfloat check-qint check-qstring check-qlist
 CHECKS += check-qjson test-qmp-output-visitor test-qmp-input-visitor
 CHECKS += test-string-input-visitor test-string-output-visitor test-coroutine
+CHECKS += tests/qemu-iotests.sh
 
 check-qint.o check-qstring.o check-qdict.o check-qlist.o check-qfloat.o 
check-qjson.o test-coroutine.o: $(GENERATED_HEADERS)
 
diff --git a/tests/qemu-iotests.sh b/tests/qemu-iotests.sh
new file mode 100755
index 0000000..af99635
--- /dev/null
+++ b/tests/qemu-iotests.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# We don't know which of the system emulator binaries there is (or if there is
+# any at all), so the 'quick' group doesn't contain any tests that require
+# running qemu proper. Assign a fake binary name so that qemu-iotests doesn't
+# complain about the missing binary.
+export QEMU_PROG="this_should_be_unused"
+
+export QEMU_IMG_PROG="$(pwd)/qemu-img"
+export QEMU_IO_PROG="$(pwd)/qemu-io"
+
+cd tests/qemu-iotests
+
+ret=0
+./check -T -nocache -raw -g quick || ret=1
+./check -T -nocache -qcow2 -g quick || ret=1
+
+exit $ret
-- 
1.7.6.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]